Name: fuse
Version: 2.3.0
Release: alt0.M24.2

Packager: Denis Smirnov <mithraen@altlinux.ru>

Summary: tool for creating virtual filesystems
Summary(ru_RU.KOI8-R):      

License: GPL
Group: System/Kernel and hardware
Url: http://sourceforge.net/projects/fuse

Source: %name-%version.tar.gz
Source1: fusermount-control

BuildPreReq: kernel-build-tools

Requires: mount >= 2.11 lib%name = %version-%release

Provides: avfs-fuse
Obsoletes: avfs-fuse

%description
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%description -l ru_RU.KOI8-R
FUSE (Filesystem in USErspace) -    
    .

%package -n lib%name
Group: System/Kernel and hardware
Summary: tool for creating virtual filesystems
Provides: FUSE
Obsoletes: FUSE
Provides: avfs-fuse
Obsoletes: avfs-fuse
Provides: libavfs-fuse
Obsoletes: libavfs-fuse

%description -n lib%name
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%package -n lib%name-devel
Group: System/Kernel and hardware
Summary: tool for creating virtual filesystems
Requires: lib%name = %version-%release
Provides: libavfs-fuse-devel
Obsoletes: libavfs-fuse-devel

%description -n lib%name-devel
FUSE (Filesystem in USErspace), an excellent tool
for creating custom filesystems with minimal effort.

%description -l ru_RU.KOI8-R
FUSE (Filesystem in USErspace),    
    .

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description -n kernel-source-%name -l ru_RU.KOI8-R
    fuse    

%prep
%setup -qn %name-%version

%__mkdir_p tmp/kernel-source-%name-%version
%__cp -r kernel/* tmp/kernel-source-%name-%version/

%build

%__tar -C tmp -jc kernel-source-%name-%version -f kernel-source-%name-%version.tar.bz2

%configure --disable-kernel-module --disable-example \
	--enable-lib --enable-util --enable-auto-modprobe --with-pic
%make_build

%install

%make_install DESTDIR=%buildroot install

%__install -D -m755 %SOURCE1 %buildroot%_controldir/fusermount

%__mkdir_p %kernel_srcdir
%__cp kernel-source-%name-%version.tar.bz2 %kernel_srcdir/

%pre
%pre_control fusermount

%post
%post_control -s restricted fusermount

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%attr(0700,root,root) %_bindir/fusermount
%_controldir/fusermount

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.a
%_libdir/pkgconfig/*

%files -n kernel-source-%name
%kernel_src/kernel-source-%name-%version.tar.bz2

%changelog
* Sun Jul 17 2005 Alexey Borovskoy <alb@altlinux.ru> 2.3.0-alt0.M24.2
- fuse
  + Add libfuse to requires

* Mon Jul 04 2005 Alexey Borovskoy <alb@altlinux.ru> 2.3.0-alt0.M24.1
- New version: 2.3.0

* Sat Apr 23 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2.1-alt0.M24.2
- Add %post and %postun to libfuse

* Sat Mar 19 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2.1-alt0.M24.1
- 2.2.1 

* Mon Feb 28 2005 Alexey Borovskoy <alb@altlinux.ru> 2.2-alt0.M24.1
- Backport to Master 2.4
- Spec cleanup

* Tue Feb 15 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt4
- rename avfs-fuse to fuse

* Thu Feb 10 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt3
- requires fixed

* Sun Feb 06 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt2
- fix

* Sat Feb 05 2005 Denis Smirnov <mithraen@altlinux.ru> 2.2-alt1
- some cleanups from lav@
- version update

* Wed Dec 22 2004 Denis Smirnov <mithraen@altlinux.ru> 2.1-alt2
- control support added (users now can user fusermount without sudo)

* Mon Dec 06 2004 Denis Smirnov <mithraen@altlinux.ru> 2.1-alt1
- version update

* Sat Oct 30 2004 Denis Smirnov <mithraen@altlinux.ru> 1.9-alt1
- version update
- support I/O in deleted files (upstream)
- some spec cleanups

* Tue May 18 2004 Anton Farygin <rider@altlinux.ru> 1.1-alt1
- new version, renamed to avfs-fuse (reselve packagename conflict with Spectrum Emulator fuse)

* Fri Nov 07 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt2
- now FUSE and kernel-source-FUSE build from one spec file

* Thu Nov 06 2003 Alexander Nekrasov <canis@altlinux.ru> 1.0-alt1
- first build
